﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FE_FX.STOPrueba {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://impl.timbrado.ws.sto.pac.com/", ConfigurationName="STOPrueba.Timbrado")]
    public interface Timbrado {
        
        // CODEGEN: Generating message contract since element name usuario from namespace  is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/recuperarCfdiRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/recuperarCfdiResponse")]
        FE_FX.STOPrueba.recuperarCfdiResponse recuperarCfdi(FE_FX.STOPrueba.recuperarCfdiRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/recuperarCfdiRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/recuperarCfdiResponse")]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.recuperarCfdiResponse> recuperarCfdiAsync(FE_FX.STOPrueba.recuperarCfdiRequest request);
        
        // CODEGEN: Generating message contract since element name usuario from namespace  is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/recuperarAcuseRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/recuperarAcuseResponse")]
        FE_FX.STOPrueba.recuperarAcuseResponse recuperarAcuse(FE_FX.STOPrueba.recuperarAcuseRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/recuperarAcuseRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/recuperarAcuseResponse")]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.recuperarAcuseResponse> recuperarAcuseAsync(FE_FX.STOPrueba.recuperarAcuseRequest request);
        
        // CODEGEN: Generating message contract since element name usuario from namespace  is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/cancelarCfdiRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/cancelarCfdiResponse")]
        FE_FX.STOPrueba.cancelarCfdiResponse cancelarCfdi(FE_FX.STOPrueba.cancelarCfdiRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/cancelarCfdiRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/cancelarCfdiResponse")]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.cancelarCfdiResponse> cancelarCfdiAsync(FE_FX.STOPrueba.cancelarCfdiRequest request);
        
        // CODEGEN: Generating message contract since element name usuario from namespace  is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/timbrarCfdiGenerarQRRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/timbrarCfdiGenerarQRResponse")]
        FE_FX.STOPrueba.timbrarCfdiGenerarQRResponse timbrarCfdiGenerarQR(FE_FX.STOPrueba.timbrarCfdiGenerarQRRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/timbrarCfdiGenerarQRRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/timbrarCfdiGenerarQRResponse")]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.timbrarCfdiGenerarQRResponse> timbrarCfdiGenerarQRAsync(FE_FX.STOPrueba.timbrarCfdiGenerarQRRequest request);
        
        // CODEGEN: Generating message contract since element name usuario from namespace  is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/timbrarCfdiRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/timbrarCfdiResponse")]
        FE_FX.STOPrueba.timbrarCfdiResponse timbrarCfdi(FE_FX.STOPrueba.timbrarCfdiRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/timbrarCfdiRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/timbrarCfdiResponse")]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.timbrarCfdiResponse> timbrarCfdiAsync(FE_FX.STOPrueba.timbrarCfdiRequest request);
        
        // CODEGEN: Generating message contract since element name usuario from namespace  is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/obtenerConfirmacionRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/obtenerConfirmacionResponse")]
        FE_FX.STOPrueba.obtenerConfirmacionResponse obtenerConfirmacion(FE_FX.STOPrueba.obtenerConfirmacionRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/obtenerConfirmacionRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/obtenerConfirmacionResponse")]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.obtenerConfirmacionResponse> obtenerConfirmacionAsync(FE_FX.STOPrueba.obtenerConfirmacionRequest request);
        
        // CODEGEN: Generating message contract since element name usuario from namespace  is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/recuperarAcuseCancelacionRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/recuperarAcuseCancelacionResponse")]
        FE_FX.STOPrueba.recuperarAcuseCancelacionResponse recuperarAcuseCancelacion(FE_FX.STOPrueba.recuperarAcuseCancelacionRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://impl.timbrado.ws.sto.pac.com/Timbrado/recuperarAcuseCancelacionRequest", ReplyAction="http://impl.timbrado.ws.sto.pac.com/Timbrado/recuperarAcuseCancelacionResponse")]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.recuperarAcuseCancelacionResponse> recuperarAcuseCancelacionAsync(FE_FX.STOPrueba.recuperarAcuseCancelacionRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class recuperarCfdiRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="recuperarCfdi", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.recuperarCfdiRequestBody Body;
        
        public recuperarCfdiRequest() {
        }
        
        public recuperarCfdiRequest(FE_FX.STOPrueba.recuperarCfdiRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class recuperarCfdiRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string usuario;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=1)]
        public string password;
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public byte[] xml;
        
        public recuperarCfdiRequestBody() {
        }
        
        public recuperarCfdiRequestBody(string usuario, string password, byte[] xml) {
            this.usuario = usuario;
            this.password = password;
            this.xml = xml;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class recuperarCfdiResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="recuperarCfdiResponse", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.recuperarCfdiResponseBody Body;
        
        public recuperarCfdiResponse() {
        }
        
        public recuperarCfdiResponse(FE_FX.STOPrueba.recuperarCfdiResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class recuperarCfdiResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=0)]
        public byte[] @return;
        
        public recuperarCfdiResponseBody() {
        }
        
        public recuperarCfdiResponseBody(byte[] @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class recuperarAcuseRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="recuperarAcuse", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.recuperarAcuseRequestBody Body;
        
        public recuperarAcuseRequest() {
        }
        
        public recuperarAcuseRequest(FE_FX.STOPrueba.recuperarAcuseRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class recuperarAcuseRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string usuario;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=1)]
        public string password;
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public byte[] xml;
        
        public recuperarAcuseRequestBody() {
        }
        
        public recuperarAcuseRequestBody(string usuario, string password, byte[] xml) {
            this.usuario = usuario;
            this.password = password;
            this.xml = xml;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class recuperarAcuseResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="recuperarAcuseResponse", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.recuperarAcuseResponseBody Body;
        
        public recuperarAcuseResponse() {
        }
        
        public recuperarAcuseResponse(FE_FX.STOPrueba.recuperarAcuseResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class recuperarAcuseResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=0)]
        public byte[] @return;
        
        public recuperarAcuseResponseBody() {
        }
        
        public recuperarAcuseResponseBody(byte[] @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class cancelarCfdiRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="cancelarCfdi", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.cancelarCfdiRequestBody Body;
        
        public cancelarCfdiRequest() {
        }
        
        public cancelarCfdiRequest(FE_FX.STOPrueba.cancelarCfdiRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class cancelarCfdiRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string usuario;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=1)]
        public string password;
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public byte[] cfdi33Timbrado;
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=3)]
        public byte[] pfx;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=4)]
        public string pfxPassword;
        
        public cancelarCfdiRequestBody() {
        }
        
        public cancelarCfdiRequestBody(string usuario, string password, byte[] cfdi33Timbrado, byte[] pfx, string pfxPassword) {
            this.usuario = usuario;
            this.password = password;
            this.cfdi33Timbrado = cfdi33Timbrado;
            this.pfx = pfx;
            this.pfxPassword = pfxPassword;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class cancelarCfdiResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="cancelarCfdiResponse", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.cancelarCfdiResponseBody Body;
        
        public cancelarCfdiResponse() {
        }
        
        public cancelarCfdiResponse(FE_FX.STOPrueba.cancelarCfdiResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class cancelarCfdiResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=0)]
        public byte[] @return;
        
        public cancelarCfdiResponseBody() {
        }
        
        public cancelarCfdiResponseBody(byte[] @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class timbrarCfdiGenerarQRRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="timbrarCfdiGenerarQR", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.timbrarCfdiGenerarQRRequestBody Body;
        
        public timbrarCfdiGenerarQRRequest() {
        }
        
        public timbrarCfdiGenerarQRRequest(FE_FX.STOPrueba.timbrarCfdiGenerarQRRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class timbrarCfdiGenerarQRRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string usuario;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=1)]
        public string password;
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public byte[] xml;
        
        public timbrarCfdiGenerarQRRequestBody() {
        }
        
        public timbrarCfdiGenerarQRRequestBody(string usuario, string password, byte[] xml) {
            this.usuario = usuario;
            this.password = password;
            this.xml = xml;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class timbrarCfdiGenerarQRResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="timbrarCfdiGenerarQRResponse", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.timbrarCfdiGenerarQRResponseBody Body;
        
        public timbrarCfdiGenerarQRResponse() {
        }
        
        public timbrarCfdiGenerarQRResponse(FE_FX.STOPrueba.timbrarCfdiGenerarQRResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class timbrarCfdiGenerarQRResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=0)]
        public byte[] @return;
        
        public timbrarCfdiGenerarQRResponseBody() {
        }
        
        public timbrarCfdiGenerarQRResponseBody(byte[] @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class timbrarCfdiRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="timbrarCfdi", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.timbrarCfdiRequestBody Body;
        
        public timbrarCfdiRequest() {
        }
        
        public timbrarCfdiRequest(FE_FX.STOPrueba.timbrarCfdiRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class timbrarCfdiRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string usuario;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=1)]
        public string password;
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public byte[] xml;
        
        public timbrarCfdiRequestBody() {
        }
        
        public timbrarCfdiRequestBody(string usuario, string password, byte[] xml) {
            this.usuario = usuario;
            this.password = password;
            this.xml = xml;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class timbrarCfdiResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="timbrarCfdiResponse", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.timbrarCfdiResponseBody Body;
        
        public timbrarCfdiResponse() {
        }
        
        public timbrarCfdiResponse(FE_FX.STOPrueba.timbrarCfdiResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class timbrarCfdiResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=0)]
        public byte[] @return;
        
        public timbrarCfdiResponseBody() {
        }
        
        public timbrarCfdiResponseBody(byte[] @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class obtenerConfirmacionRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="obtenerConfirmacion", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.obtenerConfirmacionRequestBody Body;
        
        public obtenerConfirmacionRequest() {
        }
        
        public obtenerConfirmacionRequest(FE_FX.STOPrueba.obtenerConfirmacionRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class obtenerConfirmacionRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string usuario;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=1)]
        public string password;
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public byte[] xml;
        
        public obtenerConfirmacionRequestBody() {
        }
        
        public obtenerConfirmacionRequestBody(string usuario, string password, byte[] xml) {
            this.usuario = usuario;
            this.password = password;
            this.xml = xml;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class obtenerConfirmacionResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="obtenerConfirmacionResponse", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.obtenerConfirmacionResponseBody Body;
        
        public obtenerConfirmacionResponse() {
        }
        
        public obtenerConfirmacionResponse(FE_FX.STOPrueba.obtenerConfirmacionResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class obtenerConfirmacionResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=0)]
        public byte[] @return;
        
        public obtenerConfirmacionResponseBody() {
        }
        
        public obtenerConfirmacionResponseBody(byte[] @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class recuperarAcuseCancelacionRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="recuperarAcuseCancelacion", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.recuperarAcuseCancelacionRequestBody Body;
        
        public recuperarAcuseCancelacionRequest() {
        }
        
        public recuperarAcuseCancelacionRequest(FE_FX.STOPrueba.recuperarAcuseCancelacionRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class recuperarAcuseCancelacionRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string usuario;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=1)]
        public string password;
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public byte[] cfdi33Timbrado;
        
        public recuperarAcuseCancelacionRequestBody() {
        }
        
        public recuperarAcuseCancelacionRequestBody(string usuario, string password, byte[] cfdi33Timbrado) {
            this.usuario = usuario;
            this.password = password;
            this.cfdi33Timbrado = cfdi33Timbrado;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class recuperarAcuseCancelacionResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="recuperarAcuseCancelacionResponse", Namespace="http://impl.timbrado.ws.sto.pac.com/", Order=0)]
        public FE_FX.STOPrueba.recuperarAcuseCancelacionResponseBody Body;
        
        public recuperarAcuseCancelacionResponse() {
        }
        
        public recuperarAcuseCancelacionResponse(FE_FX.STOPrueba.recuperarAcuseCancelacionResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class recuperarAcuseCancelacionResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=0)]
        public byte[] @return;
        
        public recuperarAcuseCancelacionResponseBody() {
        }
        
        public recuperarAcuseCancelacionResponseBody(byte[] @return) {
            this.@return = @return;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface TimbradoChannel : FE_FX.STOPrueba.Timbrado, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class TimbradoClient : System.ServiceModel.ClientBase<FE_FX.STOPrueba.Timbrado>, FE_FX.STOPrueba.Timbrado {
        
        public TimbradoClient() {
        }
        
        public TimbradoClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public TimbradoClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public TimbradoClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public TimbradoClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.STOPrueba.recuperarCfdiResponse FE_FX.STOPrueba.Timbrado.recuperarCfdi(FE_FX.STOPrueba.recuperarCfdiRequest request) {
            return base.Channel.recuperarCfdi(request);
        }
        
        public byte[] recuperarCfdi(string usuario, string password, byte[] xml) {
            FE_FX.STOPrueba.recuperarCfdiRequest inValue = new FE_FX.STOPrueba.recuperarCfdiRequest();
            inValue.Body = new FE_FX.STOPrueba.recuperarCfdiRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.xml = xml;
            FE_FX.STOPrueba.recuperarCfdiResponse retVal = ((FE_FX.STOPrueba.Timbrado)(this)).recuperarCfdi(inValue);
            return retVal.Body.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.recuperarCfdiResponse> FE_FX.STOPrueba.Timbrado.recuperarCfdiAsync(FE_FX.STOPrueba.recuperarCfdiRequest request) {
            return base.Channel.recuperarCfdiAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.STOPrueba.recuperarCfdiResponse> recuperarCfdiAsync(string usuario, string password, byte[] xml) {
            FE_FX.STOPrueba.recuperarCfdiRequest inValue = new FE_FX.STOPrueba.recuperarCfdiRequest();
            inValue.Body = new FE_FX.STOPrueba.recuperarCfdiRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.xml = xml;
            return ((FE_FX.STOPrueba.Timbrado)(this)).recuperarCfdiAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.STOPrueba.recuperarAcuseResponse FE_FX.STOPrueba.Timbrado.recuperarAcuse(FE_FX.STOPrueba.recuperarAcuseRequest request) {
            return base.Channel.recuperarAcuse(request);
        }
        
        public byte[] recuperarAcuse(string usuario, string password, byte[] xml) {
            FE_FX.STOPrueba.recuperarAcuseRequest inValue = new FE_FX.STOPrueba.recuperarAcuseRequest();
            inValue.Body = new FE_FX.STOPrueba.recuperarAcuseRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.xml = xml;
            FE_FX.STOPrueba.recuperarAcuseResponse retVal = ((FE_FX.STOPrueba.Timbrado)(this)).recuperarAcuse(inValue);
            return retVal.Body.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.recuperarAcuseResponse> FE_FX.STOPrueba.Timbrado.recuperarAcuseAsync(FE_FX.STOPrueba.recuperarAcuseRequest request) {
            return base.Channel.recuperarAcuseAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.STOPrueba.recuperarAcuseResponse> recuperarAcuseAsync(string usuario, string password, byte[] xml) {
            FE_FX.STOPrueba.recuperarAcuseRequest inValue = new FE_FX.STOPrueba.recuperarAcuseRequest();
            inValue.Body = new FE_FX.STOPrueba.recuperarAcuseRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.xml = xml;
            return ((FE_FX.STOPrueba.Timbrado)(this)).recuperarAcuseAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.STOPrueba.cancelarCfdiResponse FE_FX.STOPrueba.Timbrado.cancelarCfdi(FE_FX.STOPrueba.cancelarCfdiRequest request) {
            return base.Channel.cancelarCfdi(request);
        }
        
        public byte[] cancelarCfdi(string usuario, string password, byte[] cfdi33Timbrado, byte[] pfx, string pfxPassword) {
            FE_FX.STOPrueba.cancelarCfdiRequest inValue = new FE_FX.STOPrueba.cancelarCfdiRequest();
            inValue.Body = new FE_FX.STOPrueba.cancelarCfdiRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.cfdi33Timbrado = cfdi33Timbrado;
            inValue.Body.pfx = pfx;
            inValue.Body.pfxPassword = pfxPassword;
            FE_FX.STOPrueba.cancelarCfdiResponse retVal = ((FE_FX.STOPrueba.Timbrado)(this)).cancelarCfdi(inValue);
            return retVal.Body.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.cancelarCfdiResponse> FE_FX.STOPrueba.Timbrado.cancelarCfdiAsync(FE_FX.STOPrueba.cancelarCfdiRequest request) {
            return base.Channel.cancelarCfdiAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.STOPrueba.cancelarCfdiResponse> cancelarCfdiAsync(string usuario, string password, byte[] cfdi33Timbrado, byte[] pfx, string pfxPassword) {
            FE_FX.STOPrueba.cancelarCfdiRequest inValue = new FE_FX.STOPrueba.cancelarCfdiRequest();
            inValue.Body = new FE_FX.STOPrueba.cancelarCfdiRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.cfdi33Timbrado = cfdi33Timbrado;
            inValue.Body.pfx = pfx;
            inValue.Body.pfxPassword = pfxPassword;
            return ((FE_FX.STOPrueba.Timbrado)(this)).cancelarCfdiAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.STOPrueba.timbrarCfdiGenerarQRResponse FE_FX.STOPrueba.Timbrado.timbrarCfdiGenerarQR(FE_FX.STOPrueba.timbrarCfdiGenerarQRRequest request) {
            return base.Channel.timbrarCfdiGenerarQR(request);
        }
        
        public byte[] timbrarCfdiGenerarQR(string usuario, string password, byte[] xml) {
            FE_FX.STOPrueba.timbrarCfdiGenerarQRRequest inValue = new FE_FX.STOPrueba.timbrarCfdiGenerarQRRequest();
            inValue.Body = new FE_FX.STOPrueba.timbrarCfdiGenerarQRRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.xml = xml;
            FE_FX.STOPrueba.timbrarCfdiGenerarQRResponse retVal = ((FE_FX.STOPrueba.Timbrado)(this)).timbrarCfdiGenerarQR(inValue);
            return retVal.Body.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.timbrarCfdiGenerarQRResponse> FE_FX.STOPrueba.Timbrado.timbrarCfdiGenerarQRAsync(FE_FX.STOPrueba.timbrarCfdiGenerarQRRequest request) {
            return base.Channel.timbrarCfdiGenerarQRAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.STOPrueba.timbrarCfdiGenerarQRResponse> timbrarCfdiGenerarQRAsync(string usuario, string password, byte[] xml) {
            FE_FX.STOPrueba.timbrarCfdiGenerarQRRequest inValue = new FE_FX.STOPrueba.timbrarCfdiGenerarQRRequest();
            inValue.Body = new FE_FX.STOPrueba.timbrarCfdiGenerarQRRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.xml = xml;
            return ((FE_FX.STOPrueba.Timbrado)(this)).timbrarCfdiGenerarQRAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.STOPrueba.timbrarCfdiResponse FE_FX.STOPrueba.Timbrado.timbrarCfdi(FE_FX.STOPrueba.timbrarCfdiRequest request) {
            return base.Channel.timbrarCfdi(request);
        }
        
        public byte[] timbrarCfdi(string usuario, string password, byte[] xml) {
            FE_FX.STOPrueba.timbrarCfdiRequest inValue = new FE_FX.STOPrueba.timbrarCfdiRequest();
            inValue.Body = new FE_FX.STOPrueba.timbrarCfdiRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.xml = xml;
            FE_FX.STOPrueba.timbrarCfdiResponse retVal = ((FE_FX.STOPrueba.Timbrado)(this)).timbrarCfdi(inValue);
            return retVal.Body.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.timbrarCfdiResponse> FE_FX.STOPrueba.Timbrado.timbrarCfdiAsync(FE_FX.STOPrueba.timbrarCfdiRequest request) {
            return base.Channel.timbrarCfdiAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.STOPrueba.timbrarCfdiResponse> timbrarCfdiAsync(string usuario, string password, byte[] xml) {
            FE_FX.STOPrueba.timbrarCfdiRequest inValue = new FE_FX.STOPrueba.timbrarCfdiRequest();
            inValue.Body = new FE_FX.STOPrueba.timbrarCfdiRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.xml = xml;
            return ((FE_FX.STOPrueba.Timbrado)(this)).timbrarCfdiAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.STOPrueba.obtenerConfirmacionResponse FE_FX.STOPrueba.Timbrado.obtenerConfirmacion(FE_FX.STOPrueba.obtenerConfirmacionRequest request) {
            return base.Channel.obtenerConfirmacion(request);
        }
        
        public byte[] obtenerConfirmacion(string usuario, string password, byte[] xml) {
            FE_FX.STOPrueba.obtenerConfirmacionRequest inValue = new FE_FX.STOPrueba.obtenerConfirmacionRequest();
            inValue.Body = new FE_FX.STOPrueba.obtenerConfirmacionRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.xml = xml;
            FE_FX.STOPrueba.obtenerConfirmacionResponse retVal = ((FE_FX.STOPrueba.Timbrado)(this)).obtenerConfirmacion(inValue);
            return retVal.Body.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.obtenerConfirmacionResponse> FE_FX.STOPrueba.Timbrado.obtenerConfirmacionAsync(FE_FX.STOPrueba.obtenerConfirmacionRequest request) {
            return base.Channel.obtenerConfirmacionAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.STOPrueba.obtenerConfirmacionResponse> obtenerConfirmacionAsync(string usuario, string password, byte[] xml) {
            FE_FX.STOPrueba.obtenerConfirmacionRequest inValue = new FE_FX.STOPrueba.obtenerConfirmacionRequest();
            inValue.Body = new FE_FX.STOPrueba.obtenerConfirmacionRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.xml = xml;
            return ((FE_FX.STOPrueba.Timbrado)(this)).obtenerConfirmacionAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.STOPrueba.recuperarAcuseCancelacionResponse FE_FX.STOPrueba.Timbrado.recuperarAcuseCancelacion(FE_FX.STOPrueba.recuperarAcuseCancelacionRequest request) {
            return base.Channel.recuperarAcuseCancelacion(request);
        }
        
        public byte[] recuperarAcuseCancelacion(string usuario, string password, byte[] cfdi33Timbrado) {
            FE_FX.STOPrueba.recuperarAcuseCancelacionRequest inValue = new FE_FX.STOPrueba.recuperarAcuseCancelacionRequest();
            inValue.Body = new FE_FX.STOPrueba.recuperarAcuseCancelacionRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.cfdi33Timbrado = cfdi33Timbrado;
            FE_FX.STOPrueba.recuperarAcuseCancelacionResponse retVal = ((FE_FX.STOPrueba.Timbrado)(this)).recuperarAcuseCancelacion(inValue);
            return retVal.Body.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.STOPrueba.recuperarAcuseCancelacionResponse> FE_FX.STOPrueba.Timbrado.recuperarAcuseCancelacionAsync(FE_FX.STOPrueba.recuperarAcuseCancelacionRequest request) {
            return base.Channel.recuperarAcuseCancelacionAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.STOPrueba.recuperarAcuseCancelacionResponse> recuperarAcuseCancelacionAsync(string usuario, string password, byte[] cfdi33Timbrado) {
            FE_FX.STOPrueba.recuperarAcuseCancelacionRequest inValue = new FE_FX.STOPrueba.recuperarAcuseCancelacionRequest();
            inValue.Body = new FE_FX.STOPrueba.recuperarAcuseCancelacionRequestBody();
            inValue.Body.usuario = usuario;
            inValue.Body.password = password;
            inValue.Body.cfdi33Timbrado = cfdi33Timbrado;
            return ((FE_FX.STOPrueba.Timbrado)(this)).recuperarAcuseCancelacionAsync(inValue);
        }
    }
}
